Disk ARchive: libdar::database_open_options Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::database_open_options Class Reference
API

options to open a database More...

`#include <database_options.hpp>`

## Public Member Functions
| database_open_options (const database_open_options &ref)=default
| database_open_options (database_open_options &&ref) noexcept=default
database_open_options & | operator= (const database_open_options &ref)=default
database_open_options & | operator= (database_open_options &&ref) noexcept=default
void | clear ()
void | set_partial (bool value)
| partial option
void | set_partial_read_only (bool value)
| partial and read only option
void | set_warn_order (bool value)
| warning about file ordering in database
bool | get_partial () const
bool | get_partial_read_only () const
bool | get_warn_order () const

## Private Attributes
bool | x_partial
bool | x_partial_read_only
bool | x_warn_order

## Detailed Description

options to open a database

Definition at line 53 of file database_options.hpp.

## Constructor & Destructor Documentation

## ◆ database_open_options()

libdar::database_open_options::database_open_options | ( |  | ) |
| inline

Definition at line 56 of file database_options.hpp.

## Member Function Documentation

## ◆ clear()

void libdar::database_open_options::clear | ( |  | ) |
| inline

Definition at line 64 of file database_options.hpp.

## ◆ get_partial()

bool libdar::database_open_options::get_partial | ( |  | ) | const
| inline

Definition at line 90 of file database_options.hpp.

## ◆ get_partial_read_only()

bool libdar::database_open_options::get_partial_read_only | ( |  | ) | const
| inline

Definition at line 91 of file database_options.hpp.

## ◆ get_warn_order()

bool libdar::database_open_options::get_warn_order | ( |  | ) | const
| inline

Definition at line 92 of file database_options.hpp.

## ◆ set_partial()

void libdar::database_open_options::set_partial | ( | bool | value | ) |
| inline

partial option

Parameters

  [in] | value | set to true to only load an manipulate database header

Note
  if value is set to true, the database loading is quick but only some database methods are available (see the database class documentation)

Definition at line 72 of file database_options.hpp.

## ◆ set_partial_read_only()

void libdar::database_open_options::set_partial_read_only | ( | bool | value | ) |
| inline

partial and read only option

Parameters

  [in] | value | when set, the database is in partial mode and in read-only. It cannot be dumped or modified.

Note
  if value is set to true, all restriction found for partial mode apply, and in addition, the database cannot be dumped (written back to file)
  partial_read_only implies partial, but partial does not imply partial_readonly (it can be dumped but modification can only take place in the archive header)

Definition at line 81 of file database_options.hpp.

## ◆ set_warn_order()

void libdar::database_open_options::set_warn_order | ( | bool | value | ) |
| inline

warning about file ordering in database

Parameters

  [in] | value | whether to warn when file chronological ordering does not respect the order of archives

Definition at line 87 of file database_options.hpp.

## Member Data Documentation

## ◆ x_partial

bool libdar::database_open_options::x_partial
| private

Definition at line 95 of file database_options.hpp.

## ◆ x_partial_read_only

bool libdar::database_open_options::x_partial_read_only
| private

Definition at line 96 of file database_options.hpp.

## ◆ x_warn_order

bool libdar::database_open_options::x_warn_order
| private

Definition at line 97 of file database_options.hpp.

The documentation for this class was generated from the following file:

- database_options.hpp